<?php

/**
 * Form for controlling RegOnline settings.
 */
function regonline_api_settings_form() {
  $form['regonline_account_id'] = array(
    '#type' => 'textfield',
    '#title' => t('RegOnline Account ID'),
    '#default_value' => variable_get('regonline_account_id', ''),
    '#description' => t('Account ID number.'),
  );
  $form['regonline_account_username'] = array(
    '#type' => 'textfield',
    '#title' => t('RegOnline Account Username'),
    '#default_value' => variable_get('regonline_account_username', ''),
    '#description' => t('Username of a RegOnline account allowed to connect and pull reports.'),
  );
  $form['regonline_account_password'] = array(
    '#type' => 'textfield',
    '#title' => t('RegOnline Account Password'),
    '#default_value' => variable_get('regonline_account_password', ''),
    '#description' => t('Password that accompanies the RegOnline account username.'),
  );
  
  return system_settings_form($form);
}